{% set laboratorio = constant('HCUE\\AtencionMedicBundle\\Entity\\Constantes::CT_LABORATORIO') %}
{% set imagenologia = constant('HCUE\\AtencionMedicBundle\\Entity\\Constantes::CT_IMAGENOLOGIA') %}
{% set histopatologia = constant('HCUE\\AtencionMedicBundle\\Entity\\Constantes::CT_HISTOPATOLOGIA') %}

<div class="widget-box">
    <div class="widget-header widget-header-small" style="line-height: 32px !important;">
        <h6 class="widget-title dark"><b>9. PLAN DE TRATAMIENTO</b></h6>
    </div>
    <div class="widget-body">
        <div class="widget-main">
            {% if recetadetalle|length > 0 %}
                <h6 style="margin-top: 0; font-size: 11px;"><b>PRESCRIPCIONES</b></h6>
                <table class="table table-bordered" width="100%" style="margin: 0;">
                    <thead>
                    <tr>
                        <th width="60px">CANTIDAD</th>
                        <th>DOSIS</th>
                        <th>MEDICAMENTO</th>
                        <th>VÍA ADMIN.</th>
                        <th>FRECUENCIA</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for item in recetadetalle %}
                        <tr>
                            <td>{{ item.cantidad }}</td>
                            <td>{{ item.dosis }}</td>
                            <td>{{ item.medicamento }}</td>
                            <td>{{ item.via }}</td>
                            <td>{{ item.frecuencia }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            {% endif %}

            {% if ordenes|length > 0 %}

                {% set clab = 0 %}
                {% set cimg = 0 %}
                {% set chis = 0 %}

                {% for item in ordenes %}

                    {% if item.cttipoordenmedica_id == laboratorio %}
                        {% set clab = clab + 1 %}
                    {% elseif item.cttipoordenmedica_id == imagenologia %}
                        {% set cimg = cimg + 1 %}
                    {% elseif item.cttipoordenmedica_id == histopatologia %}
                        {% set chis = chis + 1 %}
                    {% endif %}

                {% endfor %}

                {% if clab > 0 %}
                    {% include 'HCUEAtencionMedicBundle:Dashboard/Preview:laboratorio.html.twig' %}
                {% endif %}

                {% if cimg > 0 %}
                    {% include 'HCUEAtencionMedicBundle:Dashboard/Preview:imagenologia.html.twig' %}
                {% endif %}

                {% if chis > 0 %}
                    {% include 'HCUEAtencionMedicBundle:Dashboard/Preview:histopatologia.html.twig' %}
                {% endif %}

            {% endif %}

            {% include 'HCUEAtencionMedicBundle:Dashboard/Preview:interconsultas.html.twig' %}

            {% if recetadetalle|length == 0 and ordenes|length == 0 and atencionmedica.atencionmedicainterconsultas|length == 0  %}
                <span style="font-size: 9px;">NO EXISTEN PLANES DE TRATAMIENTO PARA ESTA ATENCIÓN.</span>
            {% endif %}

            {% include 'HCUEAtencionMedicBundle:Dashboard/Preview:tratamientonofarm.html.twig' %}

        </div>
    </div>
</div>